Index: extensions/dict_dcca_3gpp/dict_dcca_3gpp.csv
===================================================================
--- extensions/dict_dcca_3gpp/dict_dcca_3gpp.csv	(revision 1478)
+++ extensions/dict_dcca_3gpp/dict_dcca_3gpp.csv	(revision 1480)
@@ -104,5 +104,5 @@
 UE-Count,4308,6.4.13,Unsigned32,"M,V",,,,No
 Connection-Action,4314,6.4.18,Unsigned32,"M,V",,,,No
-# Note: 3GPP TS 29.128 table 6.4.1-1 row Non-IP-Data,,,,,,,,
+# Note: 3GPP TS 29.128 table 6.4.1-1 row Non-IP-Data (4315),,,,,,,,
 "# has type ""Octetstring"" instead of ""OctetString"".",,,,,,,,
 Non-IP-Data,4315,6.4.19,OctetString,"M,V",,,,No
@@ -132,10 +132,10 @@
 #,,,,,,,,
 Served-User-Identity,1100,6.3.1,Grouped,"M,V",,,,N
-# Note: Uses 3GPP TS 29.329 MSISDN.,701,6.3.2,OctetString,"M,V",,,,N
+# Note: Uses 3GPP TS 29.329 MSISDN (701).,701,6.3.2,OctetString,"M,V",,,,N
 #,,,,,,,,
 VASP-ID,1101,6.3.3,UTF8String,"M,V",,,,N
 VAS-ID,1102,6.3.4,UTF8String,"M,V",,,,N
 Trigger-Event,1103,6.3.5,Enumerated,"M,V",,,,N
-# Note: Uses 3GPP TS 29.061 3GPP-IMSI.,1,6.3.6,UTF8String,"M,V",,,,N
+# Note: Uses 3GPP TS 29.061 3GPP-IMSI (1).,1,6.3.6,UTF8String,"M,V",,,,N
 #,,,,,,,,
 Sender-Address,1104,6.3.7,UTF8String,"M,V",,,,N
@@ -207,5 +207,5 @@
 #=,,,,,,,,
 #,,,,,,,,
-# Note: 3GPP TS 29.212 V12.1.0 (2013-06) removed ADC-Revalidation-Time.,,,,,,,,
+# Note: 3GPP TS 29.212 V12.1.0 (2013-06) removed ADC-Revalidation-Time (2801).,,,,,,,,
 ADC-Revalidation-Time,2801,5.3.93,Time,V,P,,M,Y
 3GPP-PS-Data-Off-Status,2847,5.3.133,Enumerated,V,P,,M,Y
@@ -253,5 +253,5 @@
 Guaranteed-Bitrate-DL,1025,5.3.25,Unsigned32,"M,V",P,,,Y
 Guaranteed-Bitrate-UL,1026,5.3.26,Unsigned32,"M,V",P,,,Y
-# Note: 3GPP TS 29.212 V11.8.0 (2013-03) removed HeNB-BBF-FQDN.,,,,,,,,
+# Note: 3GPP TS 29.212 V11.8.0 (2013-03) removed HeNB-BBF-FQDN (2803).,,,,,,,,
 HeNB-BBF-FQDN,2803,5.3.94,UTF8String,V,P,,M,Y
 HeNB-Local-IP-Address,2804,5.3.95,Address,V,P,,M,Y
@@ -277,5 +277,5 @@
 Packet-Filter-Usage,1072,5.3.66,Enumerated,V,P,,M,Y
 PCC-Rule-Status,1019,5.3.19,Enumerated,"M,V",P,,,Y
-# Note: 3GPP TS 29.212 table 5.3.0.1 row PDN-Connection-ID,,,,,,,,
+# Note: 3GPP TS 29.212 table 5.3.0.1 row PDN-Connection-ID (1065),,,,,,,,
 "# missing M.",,,,,,,,
 PDN-Connection-ID,1065,5.3.58,OctetString,V,P,,,Y
@@ -291,5 +291,5 @@
 Presence-Reporting-Area-Status,2823,5.3.110,Unsigned32,V,P,,M,Y
 Priority-Level,1046,5.3.45,Unsigned32,V,P,,M,Y
-# Note: 3GPP TS 29.212 table 5.3.0.1 row PS-to-CS-Session-Continuity,,,,,,,,
+# Note: 3GPP TS 29.212 table 5.3.0.1 row PS-to-CS-Session-Continuity (1099),,,,,,,,
 "# missing M.",,,,,,,,
 PS-to-CS-Session-Continuity,1099,5.3.84,Enumerated,V,P,,,Y
@@ -417,8 +417,8 @@
 Flow-Usage,512,5.3.12,Enumerated,"M,V",P,,,Y
 GCS-Identifier,538,5.3.36,OctetString,V,P,,M,Y
-# Note: 3GPP TS 29.214 table 5.3.0.1 row IMS-Content-Identifier,,,,,,,,
+# Note: 3GPP TS 29.214 table 5.3.0.1 row IMS-Content-Identifier (563),,,,,,,,
 "# missing M, assume MUST NOT.",,,,,,,,
 IMS-Content-Identifier,563,5.3.60,OctetString,V,P,,M,Y
-# Note: 3GPP TS 29.214 table 5.3.0.1 row IMS-Content,,,,,,,,
+# Note: 3GPP TS 29.214 table 5.3.0.1 row IMS-Content (564),,,,,,,,
 "# missing M, assume MUST NOT.",,,,,,,,
 IMS-Content-Type,564,5.3.61,Enumerated,V,P,,M,Y
@@ -495,5 +495,5 @@
 Confidentiality-Key,625,6.3.27,OctetString,"M, V",,,,No
 Integrity-Key,626,6.3.28,OctetString,"M, V",,,,No
-# Note: 3GPP TS 29.229 V6.5.0 (2005-06) removed User-Data-Request-Type.,,,,,,,,
+# Note: 3GPP TS 29.229 V6.5.0 (2005-06) removed User-Data-Request-Type (627).,,,,,,,,
 User-Data-Request-Type,627,6.3.25,Enumerated,"M, V",,,,No
 Supported-Features,628,6.3.29,Grouped,V,M,,,No
@@ -506,8 +506,8 @@
 SIP-Digest-Authenticate,635,6.3.36,Grouped,V,,,M,No
 Wildcarded-IMPU,636,6.3.43,UTF8String,V,,,M,N
-# Note: Uses RFC 4590 Digest-Realm.,104,6.3.37,UTF8String,M,,,V,No
-# Note: Uses RFC 4590 Digest-Algorithm.,111,6.3.39,UTF8String,M,,,V,No
-# Note: Uses RFC 4590 Digest-QoP.,110,6.3.40,UTF8String,M,,,V,No
-# Note: Uses RFC 4590 Digest-HA1.,121,6.3.41,UTF8String,M,,,V,No
+# Note: Uses RFC 4590 Digest-Realm (104).,104,6.3.37,UTF8String,M,,,V,No
+# Note: Uses RFC 4590 Digest-Algorithm (111).,111,6.3.39,UTF8String,M,,,V,No
+# Note: Uses RFC 4590 Digest-QoP (110).,110,6.3.40,UTF8String,M,,,V,No
+# Note: Uses RFC 4590 Digest-HA1 (121).,121,6.3.41,UTF8String,M,,,V,No
 #,,,,,,,,
 UAR-Flags,637,6.3.44,Unsigned32,V,,,M,No
@@ -528,6 +528,6 @@
 Priviledged-Sender-Indication,652,6.3.58,Enumerated,V,,,M,No
 LIA-Flags,653,6.3.59,Unsigned32,V,,,M,No
-# Note: Uses RFC 7683 OC-Supported-Features.,621,6.3.60,Grouped,,,,"M, V",No
-# Note: Uses RFC 7683 OC-OLR.,623,6.3.61,Grouped,,,,"M, V",No
+# Note: Uses RFC 7683 OC-Supported-Features (621).,621,6.3.60,Grouped,,,,"M, V",No
+# Note: Uses RFC 7683 OC-OLR (623).,623,6.3.61,Grouped,,,,"M, V",No
 #,,,,,,,,
 Initial-CSeq-Sequence-Number,654,6.3.62,Unsigned32,V,,,M,No
@@ -536,6 +536,6 @@
 WebRTC-Authentication-Function-Name,657,6.3.65,UTF8String,V,,,M,No
 WebRTC-Web-Server-Function-Name,658,6.3.66,UTF8String,V,,,M,No
-# Note: Uses RFC 7944 DRMP.,301,6.3.67,Enumerated,,,,"M, V",No
-# Note: Uses RFC 8583 Load.,,6.3.68,Grouped,,,,"M, V",No
+# Note: Uses RFC 7944 DRMP (301).,301,6.3.67,Enumerated,,,,"M, V",No
+# Note: Uses RFC 8583 Load (650).,,6.3.68,Grouped,,,,"M, V",No
 #,,,,,,,,
 RTR-Flags,659,6.3.69,Unsigned32,V,,,M,No
@@ -624,6 +624,6 @@
 LCS-PrivacyException,1475,7.3.86,Grouped,"M,V",,,,N
 SS-Code,1476,7.3.87,OctetString,"M,V",,,,N
-# Note: 3GPP TS 29.272 V12.5.0 (2014-06) corrected table 7.3.1/1,,,,,,,,
-# row SS-Status to be OctetString instead of Grouped.,,,,,,,,
+# Note: 3GPP TS 29.272 V12.5.0 (2014-06) table 7.3.1/1,,,,,,,,
+# changed row SS-Status (1477) to be OctetString instead of Grouped.,,,,,,,,
 # Clause 7.3.88 already described SS-Status as OctetString.,,,,,,,,
 SS-Status,1477,7.3.88,OctetString,"M,V",,,,N
@@ -639,5 +639,5 @@
 TS-Code,1487,7.3.100,OctetString,"M,V",,,,N
 # Note: 3GPP TS 29.272 V12.4.0 (2014-03) renamed,,,,,,,,
-# Call-Barring-Infor-List to Call-Barring-Info.,,,,,,,,
+# Call-Barring-Infor-List (1488) to Call-Barring-Info (1488).,,,,,,,,
 Call-Barring-Info,1488,7.3.101,Grouped,"M,V",,,,N
 SGSN-Number,1489,7.3.102,OctetString,"M,V",,,,N
@@ -652,7 +652,7 @@
 SGSN-User-State,1498,7.3.113,Grouped,V,,,M,N
 User-State,1499,7.3.114,Enumerated,V,,,M,N
-# Note: 3GPP TS 29.272 table 7.3.1/1 incorrectly has a space,,,,,,,,
-# instead of hyphen in the row for MME-Location-Information.,,,,,,,,
-# Generated name renamed from MME-LocationInformation.,,,,,,,,
+# Note: 3GPP TS 29.272 table 7.3.1/1 row MME-Location-Information (1600),,,,,,,,
+# incorrectly has a space instead of hyphen in the name.,,,,,,,,
+# Generated name renamed from MME-LocationInformation (1600).,,,,,,,,
 MME-Location-Information,1600,7.3.115,Grouped,V,,,M,N
 SGSN-Location-Information,1601,7.3.116,Grouped,V,,,M,N
@@ -705,8 +705,8 @@
 Subscription-Data-Flags,1654,7.3.165,Unsigned32,V,,,M,N
 # Note: 3GPP TS 29.272 V12.9.0 (2015-12) changed AVP code of,,,,,,,,
-# Measurement-Period-LTE from 1656 to 1655.,,,,,,,,
+# Measurement-Period-LTE (1655) from 1656.,,,,,,,,
 Measurement-Period-LTE,1655,7.3.166,Enumerated,V,,,M,N
 # Note: 3GPP TS 29.272 V12.9.0 (2015-12) changed AVP code of,,,,,,,,
-# Measurement-Period-UMTS from 1655 to 1656.,,,,,,,,
+# Measurement-Period-UMTS (1656) from 1655.,,,,,,,,
 Measurement-Period-UMTS,1656,7.3.167,Enumerated,V,,,M,N
 Collection-Period-RRM-LTE,1657,7.3.168,Enumerated,V,,,M,N
@@ -739,5 +739,5 @@
 SCEF-Realm,1684,7.3.207,DiameterIdentity,V,,,M,N
 Subscription-Data-Deletion,1685,7.3.208,Grouped,V,,,M,N
-# Note: 3GPP TS 29.272 table 7.3.1/1 row Preferred-Data-Mode,,,,,,,,
+# Note: 3GPP TS 29.272 table 7.3.1/1 row Preferred-Data-Mode (1686),,,,,,,,
 "# incorrectly has value type Grouped instead of Unsigned32,",,,,,,,,
 # conflicting with clause 7.3.209.,,,,,,,,
@@ -786,15 +786,15 @@
 Expiry-Time,709,6.3.16,Time,V,,,M,No
 Send-Data-Indication,710,6.3.17,Enumerated,V,,,M,No
-# Note: Uses 3GPP TS 29.229 Server-Name.,602,6.3.9,UTF8String,"M, V",,,,No
-# Note: Uses 3GPP TS 29.229 Supported-Features.,628,6.3.11,Grouped,V,M,,,No
-# Note: Uses 3GPP TS 29.229 Feature-List-ID.,629,6.3.12,Unsigned32,V,,,M,No
-# Note: Uses 3GPP TS 29.229 Feature-List.,630,6.3.13,Unsigned32,V,,,M,No
-# Note: Uses 3GPP TS 29.229 Supported-Applications.,631,6.3.14,Grouped,V,,,M,No
-# Note: Uses 3GPP TS 29.229 Public-Identity.,601,6.3.15,UTF8String,"M, V",,,,No
+# Note: Uses 3GPP TS 29.229 Server-Name (602).,602,6.3.9,UTF8String,"M, V",,,,No
+# Note: Uses 3GPP TS 29.229 Supported-Features (628).,628,6.3.11,Grouped,V,M,,,No
+# Note: Uses 3GPP TS 29.229 Feature-List-ID (629).,629,6.3.12,Unsigned32,V,,,M,No
+# Note: Uses 3GPP TS 29.229 Feature-List (630).,630,6.3.13,Unsigned32,V,,,M,No
+# Note: Uses 3GPP TS 29.229 Supported-Applications (631).,631,6.3.14,Grouped,V,,,M,No
+# Note: Uses 3GPP TS 29.229 Public-Identity (601).,601,6.3.15,UTF8String,"M, V",,,,No
 #,,,,,,,,
 DSAI-Tag,711,6.3.18,OctetString,"M, V",,,,No
-# Note: Uses 3GPP TS 29.229 Wildcarded-Public-Identity.,634,6.3.19,UTF8String,V,,,M,No
-# Note: Uses 3GPP TS 29.229 Wildcarded-IMPU.,636,6.3.20,UTF8String,V,,,M,No
-# Note: Uses 3GPP TS 29.229 Session-Priority.,650,6.3.21,Enumerated,V,,,M,No
+# Note: Uses 3GPP TS 29.229 Wildcarded-Public-Identity (634).,634,6.3.19,UTF8String,V,,,M,No
+# Note: Uses 3GPP TS 29.229 Wildcarded-IMPU (636).,636,6.3.20,UTF8String,V,,,M,No
+# Note: Uses 3GPP TS 29.229 Session-Priority (650).,650,6.3.21,Enumerated,V,,,M,No
 #,,,,,,,,
 One-Time-Notification,712,6.3.22,Enumerated,V,,,M,No
@@ -923,7 +923,7 @@
 Low-Balance-Indication,2020,,Enumerated,"M,V",P,,,N
 Low-Priority-Indicator,2602,,Enumerated,"M,V",P,,,N
-# Note: 3GPP TS 32.299 V11.8.0 (2013-07) corrected table 7.2,,,,,,,,
-# to have a hyphen instead of space in the name.,,,,,,,,
-# Generated name renamed from MBMSGW-Address.,,,,,,,,
+# Note: 3GPP TS 32.299 V11.8.0 (2013-07) table 7.2 changed,,,,,,,,
+# row MBMS-GW-Address (2307) to have a hyphen instead of space.,,,,,,,,
+# Generated name renamed from MBMSGW-Address (2307).,,,,,,,,
 MBMS-GW-Address,2307,,Address,"M,V",P,,,N
 MBMS-Information,880,,Grouped,"M,V",P,,,N