Index: extensions/dict_dcca_3gpp/dict_dcca_3gpp.csv
===================================================================
--- extensions/dict_dcca_3gpp/dict_dcca_3gpp.csv	(revision 1488)
+++ extensions/dict_dcca_3gpp/dict_dcca_3gpp.csv	(revision 1489)
@@ -957,9 +957,90 @@
 #=,,,,,,,,
 # 3GPP TS 29.336 Table 6.4.1/1: S6m/S6n specific Diameter AVPs,,,,,,,,
-# ,,,,,,,,
-# Note: This is incomplete.,,,,,,,,
-#=,,,,,,,,
-#,,,,,,,,
+#=,,,,,,,,
+#,,,,,,,,
+IP-SM-GW-Number,3100,6.4.14,OctetString,"M,V",,,,No
+IP-SM-GW-Name,3101,6.4.15,DiameterIdentity,"M,V",,,,No
+User-Identifier,3102,6.4.2,Grouped,"M,V",,,,No
+Service-ID,3103,6.4.3,Enumerated,"M,V",,,,No
+SCS-Identity,3104,6.4.4,OctetString,"M,V",,,,No
+Service-Parameters,3105,6.4.5,Grouped,"M,V",,,,No
+T4-Parameters,3106,6.4.6,Grouped,"M,V",,,,No
+Service-Data,3107,6.4.7,Grouped,"M,V",,,,No
+T4-Data,3108,6.4.8,Grouped,"M,V",,,,No
+HSS-Cause,3109,6.4.9,Unsigned32,"M,V",,,,No
+SIR-Flags,3110,6.4.10,Unsigned32,"M,V",,,,No
 External-Identifier,3111,6.4.11,UTF8String,"M,V",,,,No
+IP-SM-GW-Realm,3112,6.4.18,DiameterIdentity,"M,V",,,,No
+#=,,,,,,,,
+# 3GPP TS 29.336 Table 8.4.1-1: S6t specific Diameter AVPs,,,,,,,,
+#=,,,,,,,,
+#,,,,,,,,
+AESE-Communication-Pattern,3113,8.4.25,Grouped,"M,V",,,,No
+Communication-Pattern-Set,3114,8.4.26,Grouped,"M,V",,,,No
+Periodic-Communication-Indicator,3115,8.4.27,Unsigned32,"M,V",,,,No
+Communication-Duration-Time,3116,8.4.28,Unsigned32,"M,V",,,,No
+Periodic-time,3117,8.4.29,Unsigned32,"M,V",,,,No
+Scheduled-Communication-Time,3118,8.4.30,Grouped,"M,V",,,,No
+Stationary-Indication,3119,8.4.31,Unsigned32,"M,V",,,,No
+AESE-Communication-Pattern-Config-Status,3120,8.4.32,Grouped,"M,V",,,,No
+AESE-Error-Report,3121,8.4.33,Grouped,"M,V",,,,No
+Monitoring-Event-Configuration,3122,8.4.2,Grouped,"M,V",,,,No
+Monitoring-Event-Report,3123,8.4.3,Grouped,"M,V",,,,No
+SCEF-Reference-ID,3124,8.4.4,Unsigned32,"M,V",,,,No
+SCEF-ID,3125,8.4.5,DiameterIdentity,"M,V",,,,No
+SCEF-Reference-ID-for-Deletion,3126,8.4.6,Unsigned32,"M,V",,,,No
+Monitoring-Type,3127,8.4.7,Unsigned32,"M,V",,,,No
+Maximum-Number-of-Reports,3128,8.4.8,Unsigned32,"M,V",,,,No
+UE-Reachability-Configuration,3129,8.4.9,Grouped,"M,V",,,,No
+Monitoring-Duration,3130,8.4.10,Time,"M,V",,,,No
+Maximum-Detection-Time,3131,8.4.11,Unsigned32,"M,V",,,,No
+Reachability-Type,3132,8.4.12,Unsigned32,"M,V",,,,No
+Maximum-Latency,3133,8.4.13,Unsigned32,"M,V",,,,No
+Maximum-Response-Time,3134,8.4.14,Unsigned32,"M,V",,,,No
+Location-Information-Configuration,3135,8.4.15,Grouped,"M,V",,,,No
+MONTE-Location-Type,3136,8.4.16,Unsigned32,"M,V",,,,No
+Accuracy,3137,8.4.17,Unsigned32,"M,V",,,,No
+Association-Type,3138,8.4.18,Unsigned32,"M,V",,,,No
+Roaming-Information,3139,8.4.19,Unsigned32,"M,V",,,,No
+Reachability-Information,3140,8.4.20,Unsigned32,"M,V",,,,No
+IMEI-Change,3141,8.4.22,Unsigned32,"M,V",,,,No
+Monitoring-Event-Config-Status,3142,8.4.24,Grouped,"M,V",,,,No
+Supported-Services,3143,8.4.40,Grouped,"M,V",,,,No
+Supported-Monitoring-Events,3144,8.4.41,Unsigned64,"M,V",,,,No
+CIR-Flags,3145,8.4.39,Unsigned32,"M,V",,,,No
+Service-Result,3146,8.4.37,Grouped,"M,V",,,,No
+Service-Result-Code,3147,8.4.38,Unsigned32,"M,V",,,,No
+Reference-ID-Validity-Time,3148,8.4.42,Time,"M,V",,,,No
+Event-Handling,3149,8.4.43,Unsigned32,"M,V",,,,No
+NIDD-Authorization-Request,3150,8.4.44,Grouped,"M,V",,,,No
+NIDD-Authorization-Response,3151,8.4.45,Grouped,"M,V",,,,No
+Service-Report,3152,8.4.47,Grouped,"M,V",,,,No
+Node-Type,3153,8.4.48,Unsigned32,"M,V",,,,No
+S6t-HSS-Cause,3154,8.4.50,Unsigned32,"M,V",,,,No
+Enhanced-Coverage-Restriction,3155,8.4.51,Grouped,V,,,M,No
+Enhanced-Coverage-Restriction-Data,3156,8.4.52,Grouped,V,,,M,No
+Restricted-PLMN-List,3157,8.4.53,Grouped,V,,,M,No
+Allowed-PLMN-List,3158,8.4.54,Grouped,V,,,M,No
+Requested-Validity-Time,3159,8.4.55,Time,V,,,M,No
+Granted-Validity-Time,3160,8.4.56,Time,V,,,M,No
+NIDD-Authorization-Update,3161,8.4.57,Grouped,V,,,M,No
+Loss-Of-Connectivity-Reason,3162,8.4.58,Unsigned32,V,,,M,No
+Group-Reporting-Guard-Timer,3163,8.4.59,Unsigned32,V,,,M,No
+CIA-Flags,3164,8.4.60,Unsigned32,V,,,M,No
+Group-Monitoring-Event-Report,3165,8.4.61,Grouped,V,,,M,No
+Group-Monitoring-Event-Report-Item,3166,8.4.62,Grouped,V,,,M,No
+RIR-Flags,3167,8.4.63,Unsigned32,V,,,M,No
+Type-Of-External-Identifier,3168,8.4.64,Unsigned32,V,,,M,No
+APN-Validity-Time,3169,8.4.65,Grouped,V,,,M,No
+Suggested-Network-Configuration,3170,8.4.66,Grouped,V,,,M,No
+Monitoring-Event-Report-Status,3171,8.4.67,Grouped,V,,,M,No
+PLMN-ID-Requested,3172,8.4.68,Enumerated,V,,,M,No
+AdditionalIdentifiers,3173,8.4.69,Grouped,V,,,M,No
+NIR-Flags,3174,8.4.70,Unsigned32,V,,,M,No
+Reporting-Time-Stamp,3175,8.4.71,Time,V,,,M,No
+NIA-Flags,3176,8.4.72,Unsigned32,V,,,M,No
+Group-User-Identifier,3177,8.4.73,Grouped,V,,,M,No
+MTC-Provider-Info,3178,8.4.74,Grouped,V,,,M,No
+MTC-Provider-ID,3179,8.4.75,UTF8String,V,,,M,No
 ,,,,,,,,
 @standard,3GPP TS 32.299,,,,,,,