Index: extensions/dict_dcca_3gpp/add_avps.c
===================================================================
--- extensions/dict_dcca_3gpp/add_avps.c	(revision 1530)
+++ extensions/dict_dcca_3gpp/add_avps.c	(revision 1531)
@@ -436,6 +436,5 @@
 	/* for External-Identifier (3111).                                  */
 	/*                                                                  */
-	/* Change since freeDiameter 1.4.0.                                 */
-	/* Fix: Remove External-Identifier (28) OctetString.                */
+	/* Change-1.4.0: Remove External-Identifier (28) OctetString.       */
 
 	/* TWAN-Identifier, OctetString, code 29, section 16.4.7            */
@@ -4338,5 +4337,5 @@
 	/* missing M, assume MUST NOT.                                      */
 	/*                                                                  */
-	/* Fix: PDN-Connection-ID (1065) flag M MUST NOT.                   */
+	/* Change-1.4.0: PDN-Connection-ID (1065) flag M MUST NOT.          */
 	/* PDN-Connection-ID, OctetString, code 1065, section 5.3.58        */
 	{
@@ -4504,5 +4503,5 @@
 	/* missing M, assume MUST NOT.                                      */
 	/*                                                                  */
-	/* Fix: PS-to-CS-Session-Continuity (1099) flag M MUST NOT.         */
+	/* Change-1.4.0: PS-to-CS-Session-Continuity (1099) flag M MUST NOT. */
 	/* PS-to-CS-Session-Continuity, Enumerated, code 1099, section 5.3.84 */
 	{
@@ -5328,4 +5327,5 @@
 	/*==================================================================*/
 
+	/* Change-1.4.0: ADC-Rule-Base-Name (1095) flag M MUST.             */
 	/* ADC-Rule-Base-Name, UTF8String, code 1095, section 5b.3.4        */
 	{
@@ -5341,4 +5341,5 @@
 	};
 
+	/* Change-1.4.0: ADC-Rule-Definition (1094) flag M MUST.            */
 	/* ADC-Rule-Definition, Grouped, code 1094, section 5b.3.3          */
 	{
@@ -5354,4 +5355,5 @@
 	};
 
+	/* Change-1.4.0: ADC-Rule-Install (1092) flag M MUST.               */
 	/* ADC-Rule-Install, Grouped, code 1092, section 5b.3.1             */
 	{
@@ -5367,4 +5369,5 @@
 	};
 
+	/* Change-1.4.0: ADC-Rule-Name (1096) flag M MUST.                  */
 	/* ADC-Rule-Name, OctetString, code 1096, section 5b.3.5            */
 	{
@@ -5380,4 +5383,5 @@
 	};
 
+	/* Change-1.4.0: ADC-Rule-Remove (1093) flag M MUST.                */
 	/* ADC-Rule-Remove, Grouped, code 1093, section 5b.3.2              */
 	{
@@ -5393,4 +5397,5 @@
 	};
 
+	/* Change-1.4.0: ADC-Rule-Report (1097) flag M MUST.                */
 	/* ADC-Rule-Report, Grouped, code 1097, section 5b.3.6              */
 	{
@@ -8928,6 +8933,5 @@
 	/* Clause 7.3.88 already described SS-Status (1147) as OctetString. */
 	/*                                                                  */
-	/* Change since freeDiameter 1.4.0.                                 */
-	/* Fix: SS-Status (1477) type changed from Grouped to OctetString.  */
+	/* Change-1.4.0: SS-Status (1477) type changed from Grouped to OctetString. */
 	/* SS-Status, OctetString, code 1477, section 7.3.88                */
 	{
@@ -9085,6 +9089,5 @@
 	/* Call-Barring-Infor-List (1488) to Call-Barring-Info (1488).      */
 	/*                                                                  */
-	/* Change since freeDiameter 1.4.0.                                 */
-	/* Fix: Call-Barring-Infor-List (1488) renamed to Call-Barring-Info (1488). */
+	/* Change-1.4.0: Call-Barring-Infor-List (1488) renamed to Call-Barring-Info (1488). */
 	/* Call-Barring-Info, Grouped, code 1488, section 7.3.101           */
 	{
@@ -9258,6 +9261,5 @@
 	/* incorrectly has a space instead of hyphen in the name.           */
 	/*                                                                  */
-	/* Change since freeDiameter 1.4.0.                                 */
-	/* Fix: MME-LocationInformation (1600) renamed to MME-Location-Information(1600). */
+	/* Change-1.4.0: MME-LocationInformation (1600) renamed to MME-Location-Information(1600). */
 	/* MME-Location-Information, Grouped, code 1600, section 7.3.115    */
 	{
@@ -9948,6 +9950,5 @@
 	/* Measurement-Period-LTE (1655) from 1656.                         */
 	/*                                                                  */
-	/* Change since freeDiameter 1.4.0.                                 */
-	/* Fix: Measurement-Period-LTE (1656) code changed from 1656.       */
+	/* Change-1.4.0: Measurement-Period-LTE (1656) code changed from 1656. */
 	/* Measurement-Period-LTE, Enumerated, code 1655, section 7.3.166   */
 	{
@@ -9969,6 +9970,5 @@
 	/* Measurement-Period-UMTS (1656) from 1655.                        */
 	/*                                                                  */
-	/* Change since freeDiameter 1.4.0.                                 */
-	/* Fix: Measurement-Period-UMTS (1656) code changed from 1655.      */
+	/* Change-1.4.0: Measurement-Period-UMTS (1656) code changed from 1655. */
 	/* Measurement-Period-UMTS, Enumerated, code 1656, section 7.3.167  */
 	{
@@ -17681,6 +17681,5 @@
 	/* LCS-Requestor-Id (1239) to LCS-Requestor-ID (1239).              */
 	/*                                                                  */
-	/* Change since freeDiameter 1.4.0.                                 */
-	/* Fix: LCS-Requestor-Id (1239) renamed to LCS-Requestor-ID (1239). */
+	/* Change-1.4.0: LCS-Requestor-Id (1239) renamed to LCS-Requestor-ID (1239). */
 	/* LCS-Requestor-ID, Grouped, code 1239                             */
 	{
@@ -17699,6 +17698,5 @@
 	/* LCS-Requestor-Id-String (1240) to LCS-Requestor-ID-String (1240). */
 	/*                                                                  */
-	/* Change since freeDiameter 1.4.0.                                 */
-	/* Fix: LCS-Requestor-Id-String (1240) renamed to LCS-Requestor-ID-String (1240). */
+	/* Change-1.4.0: LCS-Requestor-Id-String (1240) renamed to LCS-Requestor-ID-String (1240). */
 	/* LCS-Requestor-ID-String, UTF8String, code 1240                   */
 	{
@@ -17849,6 +17847,5 @@
 	/* row MBMS-GW-Address (2307) to have a hyphen instead of space.    */
 	/*                                                                  */
-	/* Change since freeDiameter 1.4.0.                                 */
-	/* Fix: MBMSGW-Address (2307) renamed to MBMS-GW-Address (2307).    */
+	/* Change-1.4.0: MBMSGW-Address (2307) renamed to MBMS-GW-Address (2307). */
 	/* MBMS-GW-Address, Address, code 2307                              */
 	{
@@ -18898,6 +18895,5 @@
 	/* PoC-User-Role-info-Units (1254) to PoC-User-Role-Info-Units (1254). */
 	/*                                                                  */
-	/* Change since freeDiameter 1.4.0.                                 */
-	/* Fix: PoC-User-Role-info-Units (1254) renamed to PoC-User-Role-Info-Units (1254). */
+	/* Change-1.4.0: PoC-User-Role-info-Units (1254) renamed to PoC-User-Role-Info-Units (1254). */
 	/* PoC-User-Role-Info-Units, Enumerated, code 1254                  */
 	{
@@ -20552,6 +20548,5 @@
 	/* Status-Code (2702) to Status-AS-Code (2702).                     */
 	/*                                                                  */
-	/* Change since freeDiameter 1.4.0.                                 */
-	/* Fix: Status (2702) renamed to Status-AS-Code (2702).             */
+	/* Change-1.4.0: Status (2702) renamed to Status-AS-Code (2702).    */
 	/* Status-AS-Code, Enumerated, code 2702                            */
 	{
@@ -21414,6 +21409,5 @@
 	};
 
-	/* Change since freeDiameter 1.4.0.                                 */
-	/* Fix: Application-Service-Type (2102) type changed from UTF8String to Enumerated. */
+	/* Change-1.4.0: Application-Service-Type (2102) type changed from UTF8String to Enumerated. */
 	/* Application-Service-Type, Enumerated, code 2102, section 8.4     */
 	{
@@ -21432,6 +21426,5 @@
 	};
 
-	/* Change since freeDiameter 1.4.0.                                 */
-	/* Fix: Application–Session–Id (2103) type changed from UTF8String to Unsigned32. */
+	/* Change-1.4.0: Application–Session–Id (2103) type changed from UTF8String to Unsigned32. */
 	/* Application-Session-Id, Unsigned32, code 2103, section 8.4       */
 	{
@@ -21586,6 +21579,6 @@
 
 	/*                                                                  */
-	/* Change since freeDiameter 1.4.0.                                 */
-	/* Fix: 3GPP2-BSID (9010) type changed from OctetString to UTF8String. */
+	/* Change-1.4.0: 3GPP2-BSID (9010) type changed from OctetString to UTF8String. */
+	/* Change-1.4.0: 3GPP2-BSID (9010) flag M MUST.                     */
 	/* 3GPP2-BSID, UTF8String, code 9010, section 5.6.2.1.1             */
 	{