Index: extensions/dict_dcca_3gpp/dict_dcca_3gpp.csv
===================================================================
--- extensions/dict_dcca_3gpp/dict_dcca_3gpp.csv	(revision 1532)
+++ extensions/dict_dcca_3gpp/dict_dcca_3gpp.csv	(revision 1533)
@@ -48,27 +48,27 @@
 3GPP-Charging-Characteristics,13,16.4.7,UTF8String,"M,V",P,,
 # Note: 3GPP TS 29.061 V12.6.0 (2014-06) renamed,,,,,,,
-# 3GPP-CG-IPv6-Address (14) to 3GPP-CG-Ipv6-Address;,,,,,,,
-# this rename was not applied.,,,,,,,
-# ,,,,,,,
-# Fix: 3GPP-CG-IPv6-Address (14) changed to Must M per contrib/3gpp.,,,,,,,
-3GPP-CG-IPv6-Address,14,16.4.7,OctetString,"M,V",P,,
+# 3GPP-CG-IPv6-Address (14) to 3GPP-CG-Ipv6-Address.,,,,,,,
+# ,,,,,,,
+# Fix: 3GPP-CG-Ipv6-Address (14) changed to Must M per contrib/3gpp.,,,,,,,
+# Change-1.4.0: 3GPP-CG-IPv6-Address (14) renamed to 3GPP-CG-Ipv6-Address (14).,,,,,,,
+3GPP-CG-Ipv6-Address,14,16.4.7,OctetString,"M,V",P,,
 # Note: 3GPP TS 29.061 V12.6.0 (2014-06) renamed,,,,,,,
-# 3GPP-SGSN-IPv6-Address (15) to 3GPP-SGSN-Ipv6-Address;,,,,,,,
-# this rename was not applied.,,,,,,,
-# ,,,,,,,
-# Fix: 3GPP-SGSN-IPv6-Address (15) changed to Must M per contrib/3gpp.,,,,,,,
-3GPP-SGSN-IPv6-Address,15,16.4.7,OctetString,"M,V",P,,
+# 3GPP-SGSN-IPv6-Address (15) to 3GPP-SGSN-Ipv6-Address.,,,,,,,
+# ,,,,,,,
+# Fix: 3GPP-SGSN-Ipv6-Address (15) changed to Must M per contrib/3gpp.,,,,,,,
+# Change-1.4.0: 3GPP-SGSN-IPv6-Address (15) renamed to 3GPP-SGSN-Ipv6-Address (15).,,,,,,,
+3GPP-SGSN-Ipv6-Address,15,16.4.7,OctetString,"M,V",P,,
 # Note: 3GPP TS 29.061 V12.6.0 (2014-06) renamed,,,,,,,
-# 3GPP-GGSN-IPv6-Address (16) to 3GPP-GGSN-Ipv6-Address;,,,,,,,
-# this rename was not applied.,,,,,,,
-# ,,,,,,,
-# Fix: 3GPP-GGSN-IPv6-Address (16) changed to Must M per contrib/3gpp.,,,,,,,
-3GPP-GGSN-IPv6-Address,16,16.4.7,OctetString,"M,V",P,,
+# 3GPP-GGSN-IPv6-Address (16) to 3GPP-GGSN-Ipv6-Address.,,,,,,,
+# ,,,,,,,
+# Fix: 3GPP-GGSN-Ipv6-Address (16) changed to Must M per contrib/3gpp.,,,,,,,
+# Change-1.4.0: 3GPP-GGSN-IPv6-Address (16) renamed to 3GPP-GGSN-Ipv6-Address (16).,,,,,,,
+3GPP-GGSN-Ipv6-Address,16,16.4.7,OctetString,"M,V",P,,
 # Note: 3GPP TS 29.061 V12.6.0 (2014-06) renamed,,,,,,,
-# 3GPP-IPv6-DNS-Servers (17) to 3GPP-Ipv6-DNS-Servers;,,,,,,,
-# this rename was not applied.,,,,,,,
-# ,,,,,,,
-# Fix: 3GPP-IPv6-DNS-Servers (17) changed to Must M per contrib/3gpp.,,,,,,,
-3GPP-IPv6-DNS-Servers,17,16.4.7,OctetString,"M,V",P,,
+# 3GPP-IPv6-DNS-Servers (17) to 3GPP-Ipv6-DNS-Servers.,,,,,,,
+# ,,,,,,,
+# Fix: 3GPP-Ipv6-DNS-Servers (17) changed to Must M per contrib/3gpp.,,,,,,,
+# Change-1.4.0: 3GPP-IPv6-DNS-Servers (17) renamed to 3GPP-Ipv6-DNS-Servers (17).,,,,,,,
+3GPP-Ipv6-DNS-Servers,17,16.4.7,OctetString,"M,V",P,,
 # Fix: 3GPP-SGSN-MCC-MNC (18) changed to Must M per contrib/3gpp.,,,,,,,
 3GPP-SGSN-MCC-MNC,18,16.4.7,UTF8String,"M,V",P,,
@@ -117,12 +117,14 @@
 MBMS-GGSN-Address,916,17.7.19,OctetString,"M,V",P,,
 # Note: 3GPP TS 29.061 V12.6.0 (2014-06) renamed,,,,,,,
-# MBMS-GGSN-IPv6-Address (917) to MBMS-GGSN-Ipv6-Address;,,,,,,,
-# this rename was not applied.,,,,,,,
-MBMS-GGSN-IPv6-Address,917,17.7.20,OctetString,"M,V",P,,
+# MBMS-GGSN-IPv6-Address (917) to MBMS-GGSN-Ipv6-Address.,,,,,,,
+# ,,,,,,,
+# Change-1.4.0: MBMS-GGSN-IPv6-Address (917) renamed to MBMS-GGSN-Ipv6-Address (917).,,,,,,,
+MBMS-GGSN-Ipv6-Address,917,17.7.20,OctetString,"M,V",P,,
 MBMS-BMSC-SSM-IP-Address,918,17.7.21,OctetString,"M,V",P,,
 # Note: 3GPP TS 29.061 V12.6.0 (2014-06) renamed,,,,,,,
-# MBMS-BMSC-SSM-IPv6-Address (919) to MBMS-BMSC-SSM-Ipv6-Address;,,,,,,,
-# this rename was not applied.,,,,,,,
-MBMS-BMSC-SSM-IPv6-Address,919,17.7.22,OctetString,"M,V",P,,
+# MBMS-BMSC-SSM-IPv6-Address (919) to MBMS-BMSC-SSM-Ipv6-Address.,,,,,,,
+# ,,,,,,,
+# Change-1.4.0: MBMS-BMSC-SSM-IPv6-Address (919) renamed to MBMS-BMSC-SSM-Ipv6-Address (919).,,,,,,,
+MBMS-BMSC-SSM-Ipv6-Address,919,17.7.22,OctetString,"M,V",P,,
 MBMS-Flow-Identifier,920,17.7.23,OctetString,"M,V",P,,
 CN-IP-Multicast-Distribution,921,17.7.24,Enumerated,"M,V",P,,
@@ -138,8 +140,9 @@
 MBMS-GW-SSM-IP-Address,924,20.5a.2,OctetString,V,P,,M
 # Note: 3GPP TS 29.061 V12.6.0 (2014-06) renamed,,,,,,,
-# MBMS-GW-SSM-IPv6-Address (925) to MBMS-GW-SSM-Ipv6-Address;,,,,,,,
-# this rename was not applied.,,,,,,,
+# MBMS-GW-SSM-IPv6-Address (925) to MBMS-GW-SSM-Ipv6-Address.,,,,,,,
 # Note: Name conflict with 3GPP TS 29.061 MBMS-GW-SSM-IPv6-Address (3523).,,,,,,,
 # 3GPP TS 29.061 V10.4.0 (2011-09) CR 0355 added MBMS-GW-SSM-IPv6-Address (925).,,,,,,,
+# 3GPP TS 29.061 V12.6.0 (2014-06) renamed,,,,,,,
+# MBMS-GW-SSM-IPv6-Address (925) to MBMS-GW-SSM-Ipv6-Address.,,,,,,,
 # 3GPP TS 29.468 V14.0.0 (2016-12) CR 0021 added MBMS-GW-SSM-IPv6-Address (3523).,,,,,,,
 MBMS-GW-SSM-IPv6-Address,925,20.5a.3,OctetString,V,P,,M
@@ -1837,4 +1840,6 @@
 # Note: Name conflict with 3GPP TS 29.061 MBMS-GW-SSM-IPv6-Address (925).,,,,,,,
 # 3GPP TS 29.061 V10.4.0 (2011-09) CR 0355 added MBMS-GW-SSM-IPv6-Address (925).,,,,,,,
+# 3GPP TS 29.061 V12.6.0 (2014-06) renamed,,,,,,,
+# MBMS-GW-SSM-IPv6-Address (925) to MBMS-GW-SSM-Ipv6-Address.,,,,,,,
 # 3GPP TS 29.468 V14.0.0 (2016-12) CR 0021 added MBMS-GW-SSM-IPv6-Address (3523).,,,,,,,
 # ,,,,,,,